Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AwaitExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.AwaitExprAltContext

-     public static class GroovyParser.AwaitExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AwaitExprAltContext(ParserRuleContext parent, int invokingState)`
    `AwaitExprAltContext(GroovyParser.ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AWAIT()`
    `` | `public List<? extends TerminalNode>` | `COMMA()`
    `` | `public TerminalNode` | `COMMA(int i)`
    `` | `public TerminalNode` | `LPAREN()`
    `` | `public List<? extends TerminalNode>` | `NL()`
    `` | `public TerminalNode` | `NL(int i)`
    `` | `public TerminalNode` | `RPAREN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ExpressionContext>` | `expression()`
    `` | `public GroovyParser.ExpressionContext` | `expression(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.ExpressionContext` | `copyFrom, getRuleIndex`
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public AwaitExprAltContext(ParserRuleContext parent, int invokingState)

    - #### public AwaitExprAltContext(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode AWAIT()

    - #### public List<? extends TerminalNode> COMMA()

    - #### public TerminalNode COMMA(int i)

    - #### public TerminalNode LPAREN()

    - #### public List<? extends TerminalNode> NL()

    - #### public TerminalNode NL(int i)

    - #### public TerminalNode RPAREN()

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ExpressionContext> expression()

    - #### public GroovyParser.ExpressionContext expression(int i)